apiVersion: external-secrets.io/v1beta1
kind: ExternalSecret
metadata:
  name: {{ .Values.appName }}-migrations
  annotations:
    argocd.argoproj.io/sync-wave: "-3"
spec:
  secretStoreRef:
    name: {{ .Values.env }}-secretstore
    kind: ClusterSecretStore
  target:
    name: {{ .Values.appName }}-migrations
  dataFrom:
  - extract:
      key: {{ .Values.secretPrefix }}/{{ .Values.appName }}-migrations